Package helma.framework.repository

# Class MultiFileRepository

java.lang.Object
helma.framework.repository.AbstractRepository
helma.framework.repository.FileRepository
helma.framework.repository.MultiFileRepository

All Implemented Interfaces:
  `Repository`

public class MultiFileRepository extends FileRepository
Repository implementation that provides all of its subdirectories as top-level FileRepositories

## Field Summary

### Fields inherited from class helma.framework.repository.FileRepository

`directory, lastChecksum, lastChecksumTime, lastModified`

## Constructor Summary

Constructors
Constructor
Description
`MultiFileRepository(File dir)`
Constructs a MultiFileRepository using the given directory as top-level repository
`MultiFileRepository(String initArgs)`
Constructs a MultiFileRepository using the given argument

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
equals object
`int`
`hashCode()`
get hashcode
`String`
`toString()`
get object serialized as string
`void`
`update()`
Updates the content cache of the repository.

### Methods inherited from class helma.framework.repository.FileRepository

`create, createResource, exists, getChecksum, getDirectory, isScriptRoot, lastModified`

### Methods inherited from class helma.framework.repository.AbstractRepository

`getAllResources, getName, getParentRepository, getRepositories, getResource, getResources, getRootRepository, getShortName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiFileRepository

public MultiFileRepository(String initArgs)
Constructs a MultiFileRepository using the given argument

Parameters:
  `initArgs` - absolute path to the directory

### MultiFileRepository

public MultiFileRepository(File dir)
Constructs a MultiFileRepository using the given directory as top-level repository

Parameters:
  `dir` - directory

## Method Details

### update

public void update()
Updates the content cache of the repository. We override this to create child repositories that act as top-level script repositories rather than prototype repositories. Zip files are handled as top-level script repositories like in FileRepository, while resources are ignored.

Overrides:
  `update` in class `FileRepository`

### hashCode

public int hashCode()
get hashcode

Overrides:
  `hashCode` in class `FileRepository`
Returns:
  int

### equals

public boolean equals(Object obj)
equals object

Overrides:
  `equals` in class `FileRepository`
Parameters:
  `obj` - Object
Returns:
  boolean

### toString

public String toString()
get object serialized as string

Overrides:
  `toString` in class `FileRepository`
Returns:
  String